std::char_traits< _CharT >(3cxx)

NAME
std::char_traits< _CharT >

SYNOPSIS

Inherits __gnu_cxx::char_traits< _CharT >.

Inherited by __gnu_cxx::encoding_char_traits< _CharT >.

  Public Types

typedef _CharT char_type
typedef _Char_types< _CharT >::int_type int_type
typedef _Char_types< _CharT >::off_type off_type
typedef _Char_types< _CharT >::pos_type pos_type
typedef _Char_types< _CharT >::state_type state_type

  Static Public Member Functions

static void assign (char_type &__c1, const char_type &__c2)
static char_type * assign (char_type *__s, std::size_t __n, char_type __a)
static int compare (const char_type *__s1, const char_type *__s2, std::size_t __n)
static char_type * copy (char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr int_type eof ()
static constexpr bool eq (const char_type &__c1, const char_type &__c2)
static constexpr bool eq_int_type (const int_type &__c1, const int_type &__c2)
static const char_type * find (const char_type *__s, std::size_t __n, const char_type &__a)
static std::size_t length (const char_type *__s)
static constexpr bool lt (const char_type &__c1, const char_type &__c2)
static char_type * move (char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr int_type not_eof (const int_type &__c)
static constexpr char_type to_char_type (const int_type &__c)
static constexpr int_type to_int_type (const char_type &__c)

Detailed Description

  template<class _CharT>
struct std::char_traits< _CharT >" Basis for explicit traits specializations.

Note:
    For any given actual character type, this definition is probably wrong. Since this is just a thin wrapper around __gnu_cxx::char_traits, it is possible to achieve a more appropriate definition by specializing __gnu_cxx::char_traits.

See https://gcc.gnu.org/onlinedocs/libstdc++/manual/strings.html#strings.string.character_types for advice on how to make use of this class for unusual character types. Also, check out include/ext/pod_char_traits.h.

Definition at line 227 of file char_traits.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.